package com.xyzc.start.domain.vo;

import lombok.Data;

/**
 * AppCollectVo 应用收藏对象
 */

@Data
public class AppCollectVo {

    /**
     * 应用收藏id
     */
    private Long id;

    /**
     * 应用logo地址
     */
    private String appLogo;

    /**
     * 应用名称
     */
    private String appName;

    /**
     * 应用描述
     */
    private String appDesc;

    /**
     * appId
     */
    private Long appId;

    /**
     * 应用精选，0-未精选，1-已精选
     */
    private Integer isChoiceness;

    /**
     * 应用路由
     */
    private String routePath;

    /**
     * ai模型logo
     */
    private String aiModelLogo;

    /**
     * ai模型名称
     */
    private String aiModelName;

    /**
     * 共有多少人使用
     */
    private Integer useCount;

    /**
     * 应用类型
     */
    private Integer type;

    /**
     * 收藏状态，0-未收藏，1-已收藏
     */
    private Integer isCollect;


}
