package com.xyzc.start.domain.vo;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 图片上传返回值
 *
 * @author Michelle.Chung
 */
@Data
public class AvatarVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 头像地址
     */
    private String imgUrl;

    /**
     * 图像 oss_id
     */
    private Long ossId;

}
