package com.xyzc.start.mapper;


import com.xyzc.common.mybatis.core.mapper.BaseMapperPlus;
import com.xyzc.start.domain.Career;
import com.xyzc.start.domain.vo.AppPageVo;
import com.xyzc.start.domain.vo.CareerVo;

import java.util.List;

public interface CareerMapper extends BaseMapperPlus<Career, CareerVo> {


    /**
     * 根据职业id分页查询职业
     * todo:优化查询
     *
     * @param careerId
     * @param appId 应用id
     * @return
     */
    List<AppPageVo> queryAppPageVoByCareerId(Long userId, Long careerId, Long appId);

}
