package com.xyzc.start.domain.vo;

import com.xyzc.start.constant.BaseUserConst;
import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Data
public class DrawModelCollectVo extends DrawModelVo{

    /**
     * 收藏id
     */
    private String collectId;

    /**
     * 是否收藏
     */
    private Integer isCollect;

    /**
     * 收藏类型
     */

    private Integer type;

    /**
     * 设置默认值
     * @param type
     */
    public void setType(Integer type){
        this.type = BaseUserConst.COLLECT_DRAW_MODEL;
    }

}
